import 'package:example/example.dart' as example;
import 'package:plexus/plexus.dart';

Future<void> main(List<String> arguments) async {
  final root = RootModule();
  root.subscribe('__console__', consoleHandler);
  await root.start(() {
    final module = Module(['example']);
    module.subscribe('__console__', consoleHandler);
    module.log(Level.SUCCESS, 'Hello, World!');
    final calc = example.Calculator();
    calc.subscribe('console2', consoleHandler);
    final result = calc.multiply(6, 7);
    calc.log(result == 42 ? Level.SUCCESS : Level.ERROR, '6 * 7 = $result');
  });
}
